#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#define DEBUG_NONE 0
#define DEBUG_INFO 1
#define DEBUG_DETAIL 2
#define DEBUG_TOTAL 3


#ifdef DEBUG
#include <stdio.h>
extern int debuglevel;
#define debug(level, ...) {if (level <= debuglevel) { fprintf (stdout, __VA_ARGS__);}}
#else
#define debug(level, ...) {}
#endif

#ifndef HAVE_FREETYPE
 #undef HAVE_ICONV
#endif
